This document lists the events and parameters for
various types of
Profile Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=profile`.

## user initiated event


Events triggered directly by a user's action, rather than by an administrator or by automated system processes.
Events of this type are returned with `type=USER_INITIATED_EVENT`.

### profile is mutated by the user

The event which indicates the user's profile is mutated by the user.
Event details Event name `PROFILE_MUTATE_BY_USER` Parameters `PROFILE_FIELD_MUTATION_TYPE` `string`


This is the parameter which indicates the profile field mutation type.
Possible values:

- `Delete`  
  The field in the user's profile is deleted.
- `Update`  
  The field in the user's profile is added or its value is changed.
`PROFILE_FIELD_NAME` `string`


This is the parameter which indicates the field name in the user's profile.
Possible values:

- `About`  
  The about field in user's profile.
- `Address`  
  The address field in user's profile.
- `Birthday`  
  The birthday field in user's profile.
- `ExternalId`  
  The external_id field in user's profile.
- `FileAs`  
  The file_as field in user's profile.
- `Gender`  
  The gender field in user's profile.
- `InstantMessage`  
  The instant message field in user's profile.
- `Language`  
  The language field in user's profile.
- `Location`  
  The location field in user's profile.
- `Name`  
  The name field in user's profile.
- `NamePronunciation`  
  The user's name pronunciation.
- `Nickname`  
  The nickname field in user's profile.
- `Organization`  
  The organization field in user's profile.
- `Phone`  
  The phone field in user's profile.
- `Photo`  
  The photo field in user's profile.
- `PortraitPhoto`  
  The portrait photo field in user's profile.
- `PosixAccount`  
  The posix account field in user's profile.
- `ProfileEmail`  
  The profile email field in user's profile.
- `Pronoun`  
  The pronoun field in user's profile.
- `Relation`  
  The relation field in user's profile.
- `SshPublicKey`  
  The ssh public key field in user's profile.
- `Website`  
  The website field in user's profile.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/profile?eventName=PROFILE_MUTATE_BY_USER&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `profile is mutated by the user`